package com.ruoyi.jjh.ent.mapper;

import com.ruoyi.jjh.ent.entity.response.HonorResponse;
import com.ruoyi.jjh.ent.entity.response.ProjectTrackingResponse;

import java.util.List;

/**
 * 数据大屏数据层
 *
 * @author du
 * @since 2024/7/15 13:57
 */
public interface JDataScreenMapper {

    /**
     * 荣誉情况
     *
     * @return 所有数据
     */
    List<HonorResponse> getHonor();

    /**
     * 项目追踪情况
     *
     * @return 所有数据
     */
    List<ProjectTrackingResponse> getProjectTracking();
}
