package com.ruoyi.jjh.ent.service;

import com.ruoyi.jjh.ent.entity.response.HonorResponse;
import com.ruoyi.jjh.ent.entity.response.ProjectTrackingResponse;

import java.util.List;

/**
 * 数据大屏业务层
 * @author du
 * @since 2024/5/13 9:58
 */
public interface JDataScreenService {

    /**
     * 荣誉情况
     * @return 所有数据
     */
    List<HonorResponse> getHonor();

    /**
     * 项目追踪情况
     * @return 所有数据
     */
    List<ProjectTrackingResponse> getProjectTracking();
}
